package com.aidex.common.gps.server;

import com.aidex.common.gps.domain.LocationEntity;
import com.aidex.common.gps.domain.MileageEntity;

import java.util.List;

public interface IGpsService {

    String getLocationUrl(String ShipId);

    String getPlayUrl(String ShipId);

    LocationEntity getLocation(String shipId);

    List<LocationEntity> getLocationBatch();

    List<MileageEntity> getMileageStatisics(String startTime, String endTime);
}
